Ausführen eines Datenbankerweiterungsvorgangs wie Datenbankimport, Datenbankexport oder Polybasisimport
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/extensions/{extensionName}?api-version=2025-01-01
URI-Parameter
| Name |
In |
Erforderlich |
Typ |
Beschreibung |
|
databaseName
|
path |
True
|
string
|
Der Name der Datenbank.
|
|
extensionName
|
path |
True
|
string
|
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Der Name der Ressourcengruppe. Bei dem Namen wird die Groß-/Kleinschreibung nicht beachtet.
|
|
serverName
|
path |
True
|
string
|
Name des Servers
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
Die ID des Zielabonnements. Der Wert muss eine UUID sein.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Die API-Version, die für diesen Vorgang verwendet werden soll.
|
Anforderungstext
| Name |
Erforderlich |
Typ |
Beschreibung |
|
properties.operationMode
|
True
|
OperationMode
|
Vorgangsmodus des Vorgangs: Import, Export oder PolybaseImport.
|
|
properties.storageKey
|
True
|
string
|
Speicherschlüssel für das Speicherkonto. Wenn "StorageKeyType" "ManagedIdentity" lautet, sollte dieses Feld die Ressourcen-ID der verwalteten Identität angeben.
|
|
properties.storageKeyType
|
True
|
StorageKeyType
|
Speicherschlüsseltyp: StorageAccessKey, SharedAccessKey oder ManagedIdentity.
|
|
properties.storageUri
|
True
|
string
|
Speicher-URI für das Speicherkonto.
|
|
properties.administratorLogin
|
|
string
|
Administratoranmeldungsname. Wenn AuthenticationType "ManagedIdentity" ist, sollte dieses Feld die Ressourcen-ID der verwalteten Identität angeben.
|
|
properties.administratorLoginPassword
|
|
string
(password)
|
Administratoranmeldungskennwort. Wenn AuthenticationType managedIdentity ist, sollte dieses Feld nicht angegeben werden.
|
|
properties.authenticationType
|
|
string
|
Authentifizierungstyp, der für den Zugriff auf SQL verwendet wird: Sql, ADPassword oder ManagedIdentity.
|
|
properties.databaseEdition
|
|
string
|
Datenbankedition für die neu erstellte Datenbank im Falle eines Importvorgangs.
|
|
properties.maxSizeBytes
|
|
string
|
Maximale Datenbankgröße in Byte für die neu erstellte Datenbank im Falle eines Importvorgangs.
|
|
properties.networkIsolation
|
|
NetworkIsolationSettings
|
Optionale Ressourceninformationen zum Aktivieren der Netzwerkisolation für die Anforderung.
|
|
properties.serviceObjectiveName
|
|
string
|
Ziel der Datenbankdienstebene für die neu erstellte Datenbank im Falle eines Importvorgangs.
|
Antworten
| Name |
Typ |
Beschreibung |
|
200 OK
|
ImportExportExtensionsOperationResult
|
Die Aktualisierungsoperation der Ressource 'ImportExportExtensExtensionsOperationResult' war erfolgreich
|
|
202 Accepted
|
|
Ressourcenvorgang akzeptiert.
Header
- Location: string
- Retry-After: integer
|
|
Other Status Codes
|
ErrorResponse
|
Unerwartete Fehlerantwort.
|
Sicherheit
azure_auth
Azure Active Directory OAuth2 Flow.
Typ:
oauth2
Ablauf:
implicit
Autorisierungs-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiche
| Name |
Beschreibung |
|
user_impersonation
|
Identitätswechsel ihres Benutzerkontos
|
Beispiele
Create or Update database extensions.
Beispielanforderung
PUT https://management.azure.com/subscriptions/a1c0814d-3c18-4e1e-a247-c128c12b1677/resourceGroups/rg_20cbe0f0-c2d9-4522-9177-5469aad53029/providers/Microsoft.Sql/servers/srv_1ffd1cf8-9951-47fb-807d-a9c384763849/databases/878e303f-1ea0-4f17-aa3d-a22ac5e9da08/extensions/polybaseimport?api-version=2025-01-01
{
"properties": {
"operationMode": "PolybaseImport",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"
}
}
import com.azure.resourcemanager.sql.models.DatabaseExtensions;
import com.azure.resourcemanager.sql.models.OperationMode;
import com.azure.resourcemanager.sql.models.StorageKeyType;
/**
* Samples for DatabaseExtensionsOperation CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/CreateOrUpdateDatabaseExtensions.json
*/
/**
* Sample code: Create or Update database extensions.
*
* @param manager Entry point to SqlServerManager.
*/
public static void createOrUpdateDatabaseExtensions(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDatabaseExtensionsOperations().createOrUpdate(
"rg_20cbe0f0-c2d9-4522-9177-5469aad53029", "srv_1ffd1cf8-9951-47fb-807d-a9c384763849",
"878e303f-1ea0-4f17-aa3d-a22ac5e9da08", "polybaseimport",
new DatabaseExtensions().withOperationMode(OperationMode.POLYBASE_IMPORT)
.withStorageKeyType(StorageKeyType.STORAGE_ACCESS_KEY).withStorageKey("fakeTokenPlaceholder")
.withStorageUri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python create_or_update_database_extensions.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.database_extensions.begin_create_or_update(
resource_group_name="rg_20cbe0f0-c2d9-4522-9177-5469aad53029",
server_name="srv_1ffd1cf8-9951-47fb-807d-a9c384763849",
database_name="878e303f-1ea0-4f17-aa3d-a22ac5e9da08",
extension_name="polybaseimport",
parameters={
"properties": {
"operationMode": "PolybaseImport",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
}
},
).result()
print(response)
# x-ms-original-file: 2025-01-01/CreateOrUpdateDatabaseExtensions.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to perform a database extension operation, like database import, database export, or polybase import
*
* @summary perform a database extension operation, like database import, database export, or polybase import
* x-ms-original-file: 2025-01-01/CreateOrUpdateDatabaseExtensions.json
*/
async function createOrUpdateDatabaseExtensions() {
const credential = new DefaultAzureCredential();
const subscriptionId = "a1c0814d-3c18-4e1e-a247-c128c12b1677";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.databaseExtensionsOperations.createOrUpdate(
"rg_20cbe0f0-c2d9-4522-9177-5469aad53029",
"srv_1ffd1cf8-9951-47fb-807d-a9c384763849",
"878e303f-1ea0-4f17-aa3d-a22ac5e9da08",
"polybaseimport",
{
operationMode: "PolybaseImport",
storageKey:
"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
storageKeyType: "StorageAccessKey",
storageUri: "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/CreateOrUpdateDatabaseExtensions.json
// this example is just showing the usage of "DatabaseExtensions_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlDatabaseResource created on azure
// for more information of creating SqlDatabaseResource, please refer to the document of SqlDatabaseResource
string subscriptionId = "a1c0814d-3c18-4e1e-a247-c128c12b1677";
string resourceGroupName = "rg_20cbe0f0-c2d9-4522-9177-5469aad53029";
string serverName = "srv_1ffd1cf8-9951-47fb-807d-a9c384763849";
string databaseName = "878e303f-1ea0-4f17-aa3d-a22ac5e9da08";
ResourceIdentifier sqlDatabaseResourceId = SqlDatabaseResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName);
SqlDatabaseResource sqlDatabase = client.GetSqlDatabaseResource(sqlDatabaseResourceId);
// invoke the operation
string extensionName = "polybaseimport";
SqlDatabaseExtension sqlDatabaseExtension = new SqlDatabaseExtension
{
OperationMode = DatabaseExtensionOperationMode.PolybaseImport,
StorageKeyType = StorageKeyType.StorageAccessKey,
StorageKey = "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
StorageUri = new Uri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"),
};
ArmOperation<ImportExportExtensionsOperationResult> lro = await sqlDatabase.CreateOrUpdateDatabaseExtensionAsync(WaitUntil.Completed, extensionName, sqlDatabaseExtension);
ImportExportExtensionsOperationResult result = lro.Value;
Console.WriteLine($"Succeeded: {result}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Beispiel für eine Antwort
{
"name": "polybaseimport",
"type": "Microsoft.Sql/servers/databases/extensions",
"id": "/subscriptions/a1c0814d-3c18-4e1e-a247-c128c12b1677/resourceGroups/rg_20cbe0f0-c2d9-4522-9177-5469aad53029/providers/Microsoft.Sql/servers/srv_1ffd1cf8-9951-47fb-807d-a9c384763849/databases/878e303f-1ea0-4f17-aa3d-a22ac5e9da08/extensions/polybaseimport",
"properties": {
"databaseName": "878e303f-1ea0-4f17-aa3d-a22ac5e9da08",
"lastModifiedTime": "lastModifiedTime",
"requestId": "10000000-0000-0000-0000-000000000002",
"requestType": "PolybaseImport",
"serverName": "srv_1ffd1cf8-9951-47fb-807d-a9c384763849",
"status": "succeeded"
}
}
Export database using database extension with Managed Identity.
Beispielanforderung
PUT https://management.azure.com/subscriptions/0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf/resourceGroups/rg_d1ef9eae-044d-4710-ba59-b82e84ad3157/providers/Microsoft.Sql/servers/srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c/databases/db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68/extensions/Export?api-version=2025-01-01
{
"properties": {
"administratorLogin": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
"authenticationType": "ManagedIdentity",
"operationMode": "Export",
"storageKey": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
"storageKeyType": "ManagedIdentity",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"
}
}
import com.azure.resourcemanager.sql.models.DatabaseExtensions;
import com.azure.resourcemanager.sql.models.OperationMode;
import com.azure.resourcemanager.sql.models.StorageKeyType;
/**
* Samples for DatabaseExtensionsOperation CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/ExportDatabaseUsingDatabaseExtensionsWithManagedIdentity.json
*/
/**
* Sample code: Export database using database extension with Managed Identity.
*
* @param manager Entry point to SqlServerManager.
*/
public static void exportDatabaseUsingDatabaseExtensionWithManagedIdentity(
com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDatabaseExtensionsOperations().createOrUpdate(
"rg_d1ef9eae-044d-4710-ba59-b82e84ad3157", "srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
"db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68", "Export",
new DatabaseExtensions().withOperationMode(OperationMode.EXPORT)
.withStorageKeyType(StorageKeyType.MANAGED_IDENTITY).withStorageKey("fakeTokenPlaceholder")
.withStorageUri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml")
.withAdministratorLogin(
"/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName")
.withAuthenticationType("ManagedIdentity"),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python export_database_using_database_extensions_with_managed_identity.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.database_extensions.begin_create_or_update(
resource_group_name="rg_d1ef9eae-044d-4710-ba59-b82e84ad3157",
server_name="srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
database_name="db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68",
extension_name="Export",
parameters={
"properties": {
"administratorLogin": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
"authenticationType": "ManagedIdentity",
"operationMode": "Export",
"storageKey": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
"storageKeyType": "ManagedIdentity",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
}
},
).result()
print(response)
# x-ms-original-file: 2025-01-01/ExportDatabaseUsingDatabaseExtensionsWithManagedIdentity.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to perform a database extension operation, like database import, database export, or polybase import
*
* @summary perform a database extension operation, like database import, database export, or polybase import
* x-ms-original-file: 2025-01-01/ExportDatabaseUsingDatabaseExtensionsWithManagedIdentity.json
*/
async function exportDatabaseUsingDatabaseExtensionWithManagedIdentity() {
const credential = new DefaultAzureCredential();
const subscriptionId = "0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.databaseExtensionsOperations.createOrUpdate(
"rg_d1ef9eae-044d-4710-ba59-b82e84ad3157",
"srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
"db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68",
"Export",
{
administratorLogin:
"/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
authenticationType: "ManagedIdentity",
operationMode: "Export",
storageKey:
"/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
storageKeyType: "ManagedIdentity",
storageUri: "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/ExportDatabaseUsingDatabaseExtensionsWithManagedIdentity.json
// this example is just showing the usage of "DatabaseExtensions_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlDatabaseResource created on azure
// for more information of creating SqlDatabaseResource, please refer to the document of SqlDatabaseResource
string subscriptionId = "0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf";
string resourceGroupName = "rg_d1ef9eae-044d-4710-ba59-b82e84ad3157";
string serverName = "srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c";
string databaseName = "db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68";
ResourceIdentifier sqlDatabaseResourceId = SqlDatabaseResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName);
SqlDatabaseResource sqlDatabase = client.GetSqlDatabaseResource(sqlDatabaseResourceId);
// invoke the operation
string extensionName = "Export";
SqlDatabaseExtension sqlDatabaseExtension = new SqlDatabaseExtension
{
OperationMode = DatabaseExtensionOperationMode.Export,
StorageKeyType = StorageKeyType.ManagedIdentity,
StorageKey = "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
StorageUri = new Uri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"),
AdministratorLogin = "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
AuthenticationType = "ManagedIdentity",
};
ArmOperation<ImportExportExtensionsOperationResult> lro = await sqlDatabase.CreateOrUpdateDatabaseExtensionAsync(WaitUntil.Completed, extensionName, sqlDatabaseExtension);
ImportExportExtensionsOperationResult result = lro.Value;
Console.WriteLine($"Succeeded: {result}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Beispiel für eine Antwort
{
"name": "Export",
"type": "Microsoft.Sql/servers/databases/extensions",
"id": "/subscriptions/0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf/resourceGroups/rg_d1ef9eae-044d-4710-ba59-b82e84ad3157/providers/Microsoft.Sql/servers/srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c/databases/db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68/extensions/Export",
"properties": {
"blobUri": "https://teststorage.blob.core.windows.net/testcontainer/samplebacpac.bacpac",
"databaseName": "db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68",
"lastModifiedTime": "lastModifiedTime",
"privateEndpointConnections": [],
"queuedTime": "09/10/2021 18:35:10",
"requestId": "10000000-0000-0000-0000-000000000002",
"requestType": "Export",
"serverName": "srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
"status": "Completed"
}
}
Export database using database extension.
Beispielanforderung
PUT https://management.azure.com/subscriptions/0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf/resourceGroups/rg_d1ef9eae-044d-4710-ba59-b82e84ad3157/providers/Microsoft.Sql/servers/srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c/databases/db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68/extensions/Export?api-version=2025-01-01
{
"properties": {
"administratorLogin": "login",
"administratorLoginPassword": "password",
"authenticationType": "Sql",
"operationMode": "Export",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"
}
}
import com.azure.resourcemanager.sql.models.DatabaseExtensions;
import com.azure.resourcemanager.sql.models.OperationMode;
import com.azure.resourcemanager.sql.models.StorageKeyType;
/**
* Samples for DatabaseExtensionsOperation CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/ExportDatabaseUsingDatabaseExtensions.json
*/
/**
* Sample code: Export database using database extension.
*
* @param manager Entry point to SqlServerManager.
*/
public static void exportDatabaseUsingDatabaseExtension(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDatabaseExtensionsOperations().createOrUpdate(
"rg_d1ef9eae-044d-4710-ba59-b82e84ad3157", "srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
"db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68", "Export",
new DatabaseExtensions().withOperationMode(OperationMode.EXPORT)
.withStorageKeyType(StorageKeyType.STORAGE_ACCESS_KEY).withStorageKey("fakeTokenPlaceholder")
.withStorageUri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml")
.withAdministratorLogin("login").withAdministratorLoginPassword("fakeTokenPlaceholder")
.withAuthenticationType("Sql"),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python export_database_using_database_extensions.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.database_extensions.begin_create_or_update(
resource_group_name="rg_d1ef9eae-044d-4710-ba59-b82e84ad3157",
server_name="srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
database_name="db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68",
extension_name="Export",
parameters={
"properties": {
"administratorLogin": "login",
"administratorLoginPassword": "password",
"authenticationType": "Sql",
"operationMode": "Export",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
}
},
).result()
print(response)
# x-ms-original-file: 2025-01-01/ExportDatabaseUsingDatabaseExtensions.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to perform a database extension operation, like database import, database export, or polybase import
*
* @summary perform a database extension operation, like database import, database export, or polybase import
* x-ms-original-file: 2025-01-01/ExportDatabaseUsingDatabaseExtensions.json
*/
async function exportDatabaseUsingDatabaseExtension() {
const credential = new DefaultAzureCredential();
const subscriptionId = "0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.databaseExtensionsOperations.createOrUpdate(
"rg_d1ef9eae-044d-4710-ba59-b82e84ad3157",
"srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
"db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68",
"Export",
{
administratorLogin: "login",
administratorLoginPassword: "password",
authenticationType: "Sql",
operationMode: "Export",
storageKey:
"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
storageKeyType: "StorageAccessKey",
storageUri: "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/ExportDatabaseUsingDatabaseExtensions.json
// this example is just showing the usage of "DatabaseExtensions_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlDatabaseResource created on azure
// for more information of creating SqlDatabaseResource, please refer to the document of SqlDatabaseResource
string subscriptionId = "0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf";
string resourceGroupName = "rg_d1ef9eae-044d-4710-ba59-b82e84ad3157";
string serverName = "srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c";
string databaseName = "db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68";
ResourceIdentifier sqlDatabaseResourceId = SqlDatabaseResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName);
SqlDatabaseResource sqlDatabase = client.GetSqlDatabaseResource(sqlDatabaseResourceId);
// invoke the operation
string extensionName = "Export";
SqlDatabaseExtension sqlDatabaseExtension = new SqlDatabaseExtension
{
OperationMode = DatabaseExtensionOperationMode.Export,
StorageKeyType = StorageKeyType.StorageAccessKey,
StorageKey = "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
StorageUri = new Uri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"),
AdministratorLogin = "login",
AdministratorLoginPassword = "password",
AuthenticationType = "Sql",
};
ArmOperation<ImportExportExtensionsOperationResult> lro = await sqlDatabase.CreateOrUpdateDatabaseExtensionAsync(WaitUntil.Completed, extensionName, sqlDatabaseExtension);
ImportExportExtensionsOperationResult result = lro.Value;
Console.WriteLine($"Succeeded: {result}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Beispiel für eine Antwort
{
"name": "Export",
"type": "Microsoft.Sql/servers/databases/extensions",
"id": "/subscriptions/0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf/resourceGroups/rg_d1ef9eae-044d-4710-ba59-b82e84ad3157/providers/Microsoft.Sql/servers/srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c/databases/db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68/extensions/Export",
"properties": {
"blobUri": "https://teststorage.blob.core.windows.net/testcontainer/samplebacpac.bacpac",
"databaseName": "db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68",
"lastModifiedTime": "lastModifiedTime",
"privateEndpointConnections": [],
"queuedTime": "09/10/2021 18:35:10",
"requestId": "10000000-0000-0000-0000-000000000002",
"requestType": "Export",
"serverName": "srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
"status": "Completed"
}
}
Import database using database extension.
Beispielanforderung
PUT https://management.azure.com/subscriptions/17ca4d13-bf7d-4c33-a60e-b87a2820a325/resourceGroups/rg_062866bf-c4f4-41f9-abf0-b59132ca7924/providers/Microsoft.Sql/servers/srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82/databases/db_2a47e946-e414-4c00-94ac-ed886bb78302/extensions/Import?api-version=2025-01-01
{
"properties": {
"administratorLogin": "login",
"administratorLoginPassword": "password",
"authenticationType": "Sql",
"operationMode": "Import",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"
}
}
import com.azure.resourcemanager.sql.models.DatabaseExtensions;
import com.azure.resourcemanager.sql.models.OperationMode;
import com.azure.resourcemanager.sql.models.StorageKeyType;
/**
* Samples for DatabaseExtensionsOperation CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/ImportDatabaseUsingDatabaseExtensions.json
*/
/**
* Sample code: Import database using database extension.
*
* @param manager Entry point to SqlServerManager.
*/
public static void importDatabaseUsingDatabaseExtension(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDatabaseExtensionsOperations().createOrUpdate(
"rg_062866bf-c4f4-41f9-abf0-b59132ca7924", "srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82",
"db_2a47e946-e414-4c00-94ac-ed886bb78302", "Import",
new DatabaseExtensions().withOperationMode(OperationMode.IMPORT)
.withStorageKeyType(StorageKeyType.STORAGE_ACCESS_KEY).withStorageKey("fakeTokenPlaceholder")
.withStorageUri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml")
.withAdministratorLogin("login").withAdministratorLoginPassword("fakeTokenPlaceholder")
.withAuthenticationType("Sql"),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python import_database_using_database_extensions.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.database_extensions.begin_create_or_update(
resource_group_name="rg_062866bf-c4f4-41f9-abf0-b59132ca7924",
server_name="srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82",
database_name="db_2a47e946-e414-4c00-94ac-ed886bb78302",
extension_name="Import",
parameters={
"properties": {
"administratorLogin": "login",
"administratorLoginPassword": "password",
"authenticationType": "Sql",
"operationMode": "Import",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
}
},
).result()
print(response)
# x-ms-original-file: 2025-01-01/ImportDatabaseUsingDatabaseExtensions.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to perform a database extension operation, like database import, database export, or polybase import
*
* @summary perform a database extension operation, like database import, database export, or polybase import
* x-ms-original-file: 2025-01-01/ImportDatabaseUsingDatabaseExtensions.json
*/
async function importDatabaseUsingDatabaseExtension() {
const credential = new DefaultAzureCredential();
const subscriptionId = "17ca4d13-bf7d-4c33-a60e-b87a2820a325";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.databaseExtensionsOperations.createOrUpdate(
"rg_062866bf-c4f4-41f9-abf0-b59132ca7924",
"srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82",
"db_2a47e946-e414-4c00-94ac-ed886bb78302",
"Import",
{
administratorLogin: "login",
administratorLoginPassword: "password",
authenticationType: "Sql",
operationMode: "Import",
storageKey:
"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
storageKeyType: "StorageAccessKey",
storageUri: "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/ImportDatabaseUsingDatabaseExtensions.json
// this example is just showing the usage of "DatabaseExtensions_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlDatabaseResource created on azure
// for more information of creating SqlDatabaseResource, please refer to the document of SqlDatabaseResource
string subscriptionId = "17ca4d13-bf7d-4c33-a60e-b87a2820a325";
string resourceGroupName = "rg_062866bf-c4f4-41f9-abf0-b59132ca7924";
string serverName = "srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82";
string databaseName = "db_2a47e946-e414-4c00-94ac-ed886bb78302";
ResourceIdentifier sqlDatabaseResourceId = SqlDatabaseResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName);
SqlDatabaseResource sqlDatabase = client.GetSqlDatabaseResource(sqlDatabaseResourceId);
// invoke the operation
string extensionName = "Import";
SqlDatabaseExtension sqlDatabaseExtension = new SqlDatabaseExtension
{
OperationMode = DatabaseExtensionOperationMode.Import,
StorageKeyType = StorageKeyType.StorageAccessKey,
StorageKey = "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
StorageUri = new Uri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"),
AdministratorLogin = "login",
AdministratorLoginPassword = "password",
AuthenticationType = "Sql",
};
ArmOperation<ImportExportExtensionsOperationResult> lro = await sqlDatabase.CreateOrUpdateDatabaseExtensionAsync(WaitUntil.Completed, extensionName, sqlDatabaseExtension);
ImportExportExtensionsOperationResult result = lro.Value;
Console.WriteLine($"Succeeded: {result}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Beispiel für eine Antwort
{
"name": "Import",
"type": "Microsoft.Sql/servers/databases/extensions",
"id": "/subscriptions/17ca4d13-bf7d-4c33-a60e-b87a2820a325/resourceGroups/rg_062866bf-c4f4-41f9-abf0-b59132ca7924/providers/Microsoft.Sql/servers/srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82/databases/db_2a47e946-e414-4c00-94ac-ed886bb78302/extensions/Import",
"properties": {
"blobUri": "https://teststorage.blob.core.windows.net/testcontainer/samplebacpac.bacpac",
"databaseName": "db_2a47e946-e414-4c00-94ac-ed886bb78302",
"lastModifiedTime": "lastModifiedTime",
"privateEndpointConnections": [],
"queuedTime": "09/10/2021 18:35:10",
"requestId": "10000000-0000-0000-0000-000000000002",
"requestType": "Import",
"serverName": "srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82",
"status": "Completed"
}
}
Definitionen
createdByType
Enumeration
Der Identitätstyp, der die Ressource erstellt hat.
| Wert |
Beschreibung |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
DatabaseExtensions
Objekt
Eine Import-, Export- oder PolybaseImport-Ressource.
| Name |
Typ |
Beschreibung |
|
id
|
string
(arm-id)
|
Vollqualifizierte Ressourcen-ID für die Ressource. Z. B. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
name
|
string
|
Der Name der Ressource
|
|
properties.administratorLogin
|
string
|
Administratoranmeldungsname. Wenn AuthenticationType "ManagedIdentity" ist, sollte dieses Feld die Ressourcen-ID der verwalteten Identität angeben.
|
|
properties.administratorLoginPassword
|
string
(password)
|
Administratoranmeldungskennwort. Wenn AuthenticationType managedIdentity ist, sollte dieses Feld nicht angegeben werden.
|
|
properties.authenticationType
|
string
|
Authentifizierungstyp, der für den Zugriff auf SQL verwendet wird: Sql, ADPassword oder ManagedIdentity.
|
|
properties.databaseEdition
|
string
|
Datenbankedition für die neu erstellte Datenbank im Falle eines Importvorgangs.
|
|
properties.maxSizeBytes
|
string
|
Maximale Datenbankgröße in Byte für die neu erstellte Datenbank im Falle eines Importvorgangs.
|
|
properties.networkIsolation
|
NetworkIsolationSettings
|
Optionale Ressourceninformationen zum Aktivieren der Netzwerkisolation für die Anforderung.
|
|
properties.operationMode
|
OperationMode
|
Vorgangsmodus des Vorgangs: Import, Export oder PolybaseImport.
|
|
properties.serviceObjectiveName
|
string
|
Ziel der Datenbankdienstebene für die neu erstellte Datenbank im Falle eines Importvorgangs.
|
|
properties.storageKey
|
string
|
Speicherschlüssel für das Speicherkonto. Wenn "StorageKeyType" "ManagedIdentity" lautet, sollte dieses Feld die Ressourcen-ID der verwalteten Identität angeben.
|
|
properties.storageKeyType
|
StorageKeyType
|
Speicherschlüsseltyp: StorageAccessKey, SharedAccessKey oder ManagedIdentity.
|
|
properties.storageUri
|
string
|
Speicher-URI für das Speicherkonto.
|
|
systemData
|
systemData
|
Azure Resource Manager-Metadaten, die createdBy und modifiedBy-Informationen enthalten.
|
|
type
|
string
|
Der Typ der Ressource. Zum Beispiel "Microsoft. Compute/virtualMachines" oder "Microsoft. Speicher/Speicherkonten"
|
ErrorAdditionalInfo
Objekt
Der Ressourcenverwaltungsfehler zusätzliche Informationen.
| Name |
Typ |
Beschreibung |
|
info
|
object
|
Die zusätzlichen Informationen.
|
|
type
|
string
|
Der zusätzliche Informationstyp.
|
ErrorDetail
Objekt
Das Fehlerdetails.
| Name |
Typ |
Beschreibung |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Die zusätzlichen Informationen des Fehlers.
|
|
code
|
string
|
Der Fehlercode.
|
|
details
|
ErrorDetail[]
|
Die Fehlerdetails.
|
|
message
|
string
|
Die Fehlermeldung.
|
|
target
|
string
|
Das Fehlerziel.
|
ErrorResponse
Objekt
Fehlerantwort
| Name |
Typ |
Beschreibung |
|
error
|
ErrorDetail
|
Das Fehlerobjekt.
|
ImportExportExtensionsOperationResult
Objekt
Ergebnisressource des Erweiterungsvorgangs.
| Name |
Typ |
Beschreibung |
|
id
|
string
(arm-id)
|
Vollqualifizierte Ressourcen-ID für die Ressource. Z. B. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
name
|
string
|
Der Name der Ressource
|
|
properties.blobUri
|
string
|
Blob-URI.
|
|
properties.databaseName
|
string
|
Datenbankname.
|
|
properties.errorMessage
|
string
|
Fehlermeldung.
|
|
properties.lastModifiedTime
|
string
|
Zeitpunkt der letzten Änderung.
|
|
properties.privateEndpointConnections
|
PrivateEndpointConnectionRequestStatus[]
|
Ruft den Status privater Endpunkte ab, die dieser Anforderung zugeordnet sind.
|
|
properties.queuedTime
|
string
|
In die Warteschlange eingereihte Zeit.
|
|
properties.requestId
|
string
(uuid)
|
Anforderungs-ID.
|
|
properties.requestType
|
string
|
Anforderungstyp.
|
|
properties.serverName
|
string
|
Server-Name.
|
|
properties.status
|
string
|
Vorgangsstatus.
|
|
systemData
|
systemData
|
Azure Resource Manager-Metadaten, die createdBy und modifiedBy-Informationen enthalten.
|
|
type
|
string
|
Der Typ der Ressource. Zum Beispiel "Microsoft. Compute/virtualMachines" oder "Microsoft. Speicher/Speicherkonten"
|
NetworkIsolationSettings
Objekt
Enthält die ARM-Ressourcen, für die eine private Endpunktverbindung erstellt werden soll.
| Name |
Typ |
Beschreibung |
|
sqlServerResourceId
|
string
(arm-id)
|
Die Ressourcen-ID für den SQL-Server, der das Ziel dieser Anforderung ist. Wenn festgelegt, wird eine private Endpunktverbindung für den SQL-Server erstellt. Muss mit dem Server übereinstimmen, der das Ziel des Vorgangs ist.
|
|
storageAccountResourceId
|
string
(arm-id)
|
Die Ressourcen-ID für das Speicherkonto, das zum Speichern der BACPAC-Datei verwendet wird. Bei Festlegung wird für das Speicherkonto eine private Endpunktverbindung erstellt. Muss mit dem Speicherkonto übereinstimmen, das für den Parameter "StorageUri" verwendet wird.
|
OperationMode
Enumeration
Vorgangsmodus des Vorgangs: Import, Export oder PolybaseImport.
| Wert |
Beschreibung |
|
PolybaseImport
|
PolybaseImport
|
|
Import
|
Importieren
|
|
Export
|
Exportieren
|
PrivateEndpointConnectionRequestStatus
Objekt
Enthält den Status der privaten Endpunktverbindungsanforderungen.
| Name |
Typ |
Beschreibung |
|
privateEndpointConnectionName
|
string
|
Der Verbindungsname für den privaten Endpunkt.
|
|
privateLinkServiceId
|
string
|
Ressourcen-ID, für die der private Endpunkt erstellt wird.
|
|
status
|
string
|
Status dieser privaten Endpunktverbindung.
|
StorageKeyType
Enumeration
Speicherschlüsseltyp: StorageAccessKey, SharedAccessKey oder ManagedIdentity.
| Wert |
Beschreibung |
|
SharedAccessKey
|
Gemeinsamer Zugriffsschlüssel
|
|
StorageAccessKey
|
StorageAccessKey
|
|
ManagedIdentity
|
ManagedIdentity
|
systemData
Objekt
Metadaten zur Erstellung und letzten Änderung der Ressource.
| Name |
Typ |
Beschreibung |
|
createdAt
|
string
(date-time)
|
Der Zeitstempel der Ressourcenerstellung (UTC).
|
|
createdBy
|
string
|
Die Identität, die die Ressource erstellt hat.
|
|
createdByType
|
createdByType
|
Der Identitätstyp, der die Ressource erstellt hat.
|
|
lastModifiedAt
|
string
(date-time)
|
Der Zeitstempel der letzten Änderung der Ressource (UTC)
|
|
lastModifiedBy
|
string
|
Die Identität, die die Ressource zuletzt geändert hat.
|
|
lastModifiedByType
|
createdByType
|
Der Identitätstyp, der die Ressource zuletzt geändert hat.
|